Appearance
Agent Names Execute Operation
This page explains the execute() operation with Agent Names. See https://identity.foundation/did-registration/#execute for more information about the protocol.
execute()
operation: createAgentName
Request
bash
curl -X POST "https://api.godiddy.com/1.0.0/universal-registrar/execute?method=ebsi" \
-H "Authorization: Bearer b082c420-df67-4b06-899c-b7c51d75fba0" \
-H "Content-Type: application/json" \
-d '{
"did": "did:key:z6MkmMkCCZ3cKbhPjqwPjyL7YmpgkJCNy726r8nRnKQ2Hsux",
"options": { }
"secret": { },
"operation": ["createAgentName"],
"operationData": [ {
"agentName": "agentname.godiddy.com/@myname"
} ],
}'1
2
3
4
5
6
7
8
9
10
11
12
2
3
4
5
6
7
8
9
10
11
12
Using CLI:
bash
# -c for client-managed secret mode, -i for interactive
godiddy-cli execute -d did:key:z6MkmMkCCZ3cKbhPjqwPjyL7YmpgkJCNy726r8nRnKQ2Hsux --op=createAgentName --opdata="agentName=agentname.godiddy.com/@myname"1
2
2
Response
json
{
"didState": {
"state": "finished",
"did": "did:Key:z6MkmMkCCZ3cKbhPjqwPjyL7YmpgkJCNy726r8nRnKQ2Hsux"
},
"operationResult": [ {
"agentName": "agentname.godiddy.com/@myname"
} ]
}1
2
3
4
5
6
7
8
9
2
3
4
5
6
7
8
9